from os import path
import threading
import PySimpleGUI as sg
from webp_to_png.tools import convert_webp_to_png

layout = [
    [sg.Text("请选择webp文件夹:"),sg.Text("未选择文件夹"),sg.FolderBrowse("点击选择文件夹",key="input_folder")],
    [sg.Text("请选择png文件夹:"),sg.Text("未选择文件夹"),sg.FolderBrowse("点击选择文件夹",key="output_folder")],
    [sg.Button("开始执行",key="ok")],
    [sg.Text("完成进度:"),sg.ProgressBar(max_value=100,key="bar",size=(50,20),)]
]

print(path.join(__file__,"data","favicon.ico"))

window = sg.Window("批量webp格式转化为png格式 -by Zengtudor",
                   layout,
                   size=(800,400),
                   resizable=True,
                   icon=path.join(path.dirname(__file__),"program_data","favicon.ico")
                   )
bar = window["bar"]

def main() -> None:
    while True:
        ret = window.read()
        if ret:
            event , value = ret
        print(event,value)
        if event == sg.WIN_CLOSED : break
        elif event == "ok":
            # window.write_event_value("bar", {"current_count":50})
            print(value["input_folder"] and value["output_folder"],"bool")
            if value["input_folder"] and value["output_folder"] :
                print("start")
                # convert_webp_to_png(value["input_folder"],value["output_folder"])
                threading.Thread(target=convert_webp_to_png,
                                 args=[value["input_folder"], value["output_folder"], window]
                                 ,daemon=True
                                 ).start()
            else : sg.popup("你还没有选择路径!")
        elif event == "bar":
            print("freshing bar")
            # bar.update(current_count=value["bar"]["current_count"])
            # window.refresh()


if __name__ == "__main__":
    main()